For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • GETGet balance definition list
      • POSTCreate balance definition
      • GETGet balance definition
      • PUTUpdate balance definition
      • DELDelete balance definition
      • POSTCreate balance limits
      • GETGet balance limits
      • DELDelete balance limit
      • PUTUpdates balance limit
      • GETGet subscription balances
      • POSTCreate subscription balances
      • GETGet balance list
      • POSTCreate new transaction
      • POSTComplete transaction
      • POSTCancel transaction
      • POSTCreate balance order
      • GETGet Active Balances API
      • GETGet Transaction History API
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyBalance

Create subscription balances

POST
https://api.brevo.com/v3/loyalty/balance/programs/:pid/subscriptions/:cid/balances
POST
/v3/loyalty/balance/programs/:pid/subscriptions/:cid/balances
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.balance.createSubscriptionBalances("pid", "cid", {
8 balanceDefinitionId: "string",
9 });
10}
11main();
1{
2 "id": "string",
3 "amount": 1.1,
4 "loyaltyProgramId": "string",
5 "organizationId": 1,
6 "contactId": 1,
7 "balanceDefinitionId": "string",
8 "createdAt": "2024-01-15T09:30:00Z",
9 "expiresAt": "2024-01-15T09:30:00Z",
10 "consumedAt": "2024-01-15T09:30:00Z"
11}
Creates a balance for a contact
Was this page helpful?
Previous

Get balance list

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program Id
cidstringRequiredformat: "uuid"
Contact Id

Request

Create Balance Payload
balanceDefinitionIdstringRequired

Unique identifier (UUID) of the balance definition associated with the new balance.

Response

Successful creation of balance
idstringformat: "uuid"
Unique identifier for the balance.
amountdouble
The current amount available in the balance.
loyaltyProgramIdstringformat: "uuid"
Loyalty program ID.
organizationIdlong
Organization ID.
contactIdlong
Contact ID.
balanceDefinitionIdstringformat: "uuid"
Balance definition ID.
createdAtdatetime
Timestamp of when the balance was created.
expiresAtdatetime
Expiration timestamp of the balance.
consumedAtdatetime
Timestamp of when the balance was last consumed.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error